summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author grissiom <chaos.proton@gmail.com>2010-05-11 22:55:27 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:27 +0200
commitf874af9a954561c3f20ec4cd2a7f034ee3eede95 (patch)
tree49477d7a941c29b7bf3049c25bdb45c8d0efa3e1
parent306708159913c8b42e107223b17cb548e14d5e33 (diff)
downloadslackbuilds-f874af9a954561c3f20ec4cd2a7f034ee3eede95.tar.gz
slackbuilds-f874af9a954561c3f20ec4cd2a7f034ee3eede95.tar.xz
system/qstardict: Added to 12.1 repository
-rw-r--r--system/qstardict/README15
-rw-r--r--system/qstardict/qstardict.SlackBuild62
-rw-r--r--system/qstardict/qstardict.info8
-rw-r--r--system/qstardict/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/system/qstardict/README b/system/qstardict/README
new file mode 100644
index 0000000000..518e6b4d57
--- /dev/null
+++ b/system/qstardict/README
@@ -0,0 +1,15 @@
+QStarDict is a StarDict clone written with using Qt4. The user interface
+is similar to StarDict.
+
+Main features
+* Full support of StarDict dictionaries
+* Working in system tray
+* Scanning mouse selection and showing popup window with translation of
+selected word
+* Translations reformatting
+* Pronouncing translated word
+* Support for plugins
+
+You need Qt >= 4.2 and glib >= 2.0. If you have QtDBus module QStarDict
+will be compiled with D-Bus support.
+
diff --git a/system/qstardict/qstardict.SlackBuild b/system/qstardict/qstardict.SlackBuild
new file mode 100644
index 0000000000..886bb949de
--- /dev/null
+++ b/system/qstardict/qstardict.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for qstardict
+
+# Written by grissiom chaos.proton@gmail.com
+
+PRGNAM=qstardict
+VERSION=${VERSION:-0.12.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+MAKEOPT="-s"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake-qt4 \
+QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+make $MAKEOPT
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README THANKS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/qstardict/qstardict.info b/system/qstardict/qstardict.info
new file mode 100644
index 0000000000..f60a2f12bf
--- /dev/null
+++ b/system/qstardict/qstardict.info
@@ -0,0 +1,8 @@
+PRGNAM="qstardict"
+VERSION="0.12.9"
+HOMEPAGE="http://qstardict.ylsoftware.com/index.php"
+DOWNLOAD="http://qstardict.ylsoftware.com/files/qstardict-0.12.9.tar.bz2"
+MD5SUM="229f29065fd3831b7b678e85cf3ef2c9"
+MAINTAINER="grissiom"
+EMAIL="chaos.proton@gmail.com"
+APPROVED="David Somero"
diff --git a/system/qstardict/slack-desc b/system/qstardict/slack-desc
new file mode 100644
index 0000000000..7f909290dd
--- /dev/null
+++ b/system/qstardict/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qstardict: QStarDict (StarDict clone written with using Qt4)
+qstardict:
+qstardict: The user interface is similar to StarDict.
+qstardict: Main features:
+qstardict: * Full support of StarDict dictionaries
+qstardict: * Working in system tray
+qstardict: * Scanning mouse selection and showing popup window with translation
+qstardict: of selected word
+qstardict: * Translations reformatting
+qstardict: * Pronouncing translated word
+qstardict: * Support for plugins